Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001079 [Piwigo] users & groups feature N/A 2009.07.29 22:18 2010.04.14 17:41
Reporter plg View Status public  
Assigned To eric
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.5 Product Version 2.0.3
  Target Version 2.1.0 Product Build
Summary 0001079: user profile: return to default settings
Description In the user profile page, it would be fine to have a "return to default settings" as action button. It would copy the settings of the guest user.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002840)
eric (developer)
2009.08.18 23:01

Ok, I'll try this one now.
(0002856)
eric (developer)
2009.08.23 16:19

To avoid any misunderstanding of this issue, the "return to default settings" button has to be on user's profile settings (profile.php) or on admin.php?page=user_list, or both ?

HS : Haven't found any forum discussion about this request.
(0002942)
svn (reporter)
2009.10.08 23:05

[Subversion] r3995 by Eric on trunk

-----[Subversion commit log]----------------------------------------------------
[Piwigo] Bug 1079 fixed : Return to default settings in user profile page.

(I don't really enjoy the code but it's the simplest way i've found)
(0002943)
svn (reporter)
2009.10.08 23:05

[Subversion] r3996 by Eric on branch 2.0

-----[Subversion commit log]----------------------------------------------------
[Piwigo] Merged from trunk to branch - Bug 1079 fixed : Return to default settings in user profile page.

(I don't really enjoy the code but it's the simplest way i've found)
(0002944)
svn (reporter)
2009.10.09 10:25

[Subversion] r4001 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Issue 1079: refactoring of code
(0002945)
svn (reporter)
2009.10.09 10:47

[Subversion] r4003 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
Issue 1079: re-refactoring of code ;-)
(0002946)
svn (reporter)
2009.10.09 10:52

[Subversion] r4004 by patdenice on branch 2.0

-----[Subversion commit log]----------------------------------------------------
merge r4001-4003 from trunk to branch 2.0
Issue 1079: re-refactoring of code ;-)
(0002951)
svn (reporter)
2009.10.09 22:56

[Subversion] r4010 by Eric on branch 2.0

-----[Subversion commit log]----------------------------------------------------
[Piwigo] Bug 1079

Some common.lang.php updated
(0002954)
svn (reporter)
2009.10.10 14:34

[Subversion] r4013 by patdenice on branch 2.0

-----[Subversion commit log]----------------------------------------------------
bug 1079: don't save settings in database when restore default settings.
(0002955)
svn (reporter)
2009.10.10 14:36

[Subversion] r4014 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
merge r4013 from branch 2.0 to trunk
bug 1079: don't save settings in database when restore default settings.

- Issue History
Date Modified Username Field Change
2009.07.29 22:18 plg New Issue
2009.07.29 22:18 plg Status new => assigned
2009.07.29 22:18 plg Assigned To => eric
2009.07.29 22:18 plg browser => any
2009.07.29 22:18 plg Web server => Apache 1.3.x
2009.08.18 23:01 eric Note Added: 0002840
2009.08.18 23:01 eric Status assigned => acknowledged
2009.08.23 16:19 eric Note Added: 0002856
2009.10.08 23:05 svn Checkin
2009.10.08 23:05 svn Note Added: 0002942
2009.10.08 23:05 svn Checkin
2009.10.08 23:05 svn Note Added: 0002943
2009.10.08 23:06 eric Status acknowledged => resolved
2009.10.08 23:06 eric Fixed in Version => 2.0.5
2009.10.08 23:06 eric Resolution open => fixed
2009.10.09 10:25 svn Checkin
2009.10.09 10:25 svn Note Added: 0002944
2009.10.09 10:47 svn Checkin
2009.10.09 10:47 svn Note Added: 0002945
2009.10.09 10:52 svn Checkin
2009.10.09 10:52 svn Note Added: 0002946
2009.10.09 22:56 svn Checkin
2009.10.09 22:56 svn Note Added: 0002951
2009.10.10 14:34 svn Checkin
2009.10.10 14:34 svn Note Added: 0002954
2009.10.10 14:36 svn Checkin
2009.10.10 14:36 svn Note Added: 0002955
2010.04.14 17:41 plg Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker